#include "map.h"

void MAP::load() {

	PACKFILE *pfile;
	pfile = pack_fopen("../data/map1.map", "rp");

	int i,j;
	for (i=0; i<ZONE_W; i++) {
		for (j=0; j<ZONE_H; j++) {
			tile[j][i].num = pack_igetl(pfile);
			tile[j][i].passable = pack_igetl(pfile);
		}
	}
	pack_fclose(pfile);
}

void MAP::save() {

	PACKFILE *pfile;
	pfile=pack_fopen("../data/map1.map", "wp");

	int i,j;
	for (i=0; i<ZONE_W; i++) {
		for (j=0; j<ZONE_H; j++) {
			pack_iputl(tile[j][i].num, pfile);
			pack_iputl(tile[j][i].passable, pfile);
		}
	}
	pack_fclose(pfile);
}
